Skip to content

Get element by id

GET
/openapi/order/{id}
curl --request GET \
--url https://open-api.replyco.com/openapi/order/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

Media typeapplication/json
object
id
string format: uuid
purchaseDate
string format: date-time
nullable
marketOrderId
string
nullable
latestShipDate
string format: date-time
nullable
status
string
nullable
orderTotalAmount
number format: double
gbpTotalAmount
number format: double
nullable
orderCurrency
string
nullable
type
string
nullable
createdDate

Default = now

string format: date-time
nullable
orderURL
string
nullable
spareBool

Spare bool field for different integrations For Shopify = true if order is draft

boolean
marketCustomerId

Customer field only for model, because some markets api sent order with customer

integer format: int64
integrationId
required
string format: uuid
customerId
required
string format: uuid
subject
string
nullable
linnworksFolderNames

Json string format

string
nullable
linnworksOrderId
string
nullable
linnworksOrderNumId

Number order id(which visible for user)

integer format: int32
receivedDate
string format: date-time
nullable
scheduledDeliveryFrom
string format: date-time
nullable
scheduledDeliveryTo
string format: date-time
nullable
totalWeight
number format: double
postageCostExTax
number format: double
postageCost
number format: double
totalDiscount
number format: double
trackingNumber
string
nullable
paymentMethod
string
nullable
packageType
string
nullable
packageCategory
string
nullable
shippingService
string
nullable
shippingServiceType
integer format: int32
Allowed values: 0 - None 1 - EconomyServices 2 - StandartServices 3 - ExpressServices 4 - OneDayServices 5 - EconomyServicesFromAbroad 6 - StandartServicesFromAbroad 7 - ExpeditedServicesFromAbroad 8 - ExpeditedServices 9 - OtherServices
shippingServiceCost
number format: double
shippedTime
string format: date-time
nullable
shipServiceLevel
string
nullable
paymentStatus
string
nullable
paymentTime
string format: date-time
nullable
buyerUserID
string
nullable
shopName
string
nullable
transactionsIds
string
nullable
customerName
string
nullable
customerMail
string
nullable
attachmentUrl
string
nullable
paid
boolean
recipientName
string
nullable
shopOrderNumber
string
nullable
linnworksOrderIdentifier
integer format: int32
Allowed values: 0 - NotExists 1 - Resolved 2 - NotResolved
isAmazonFBA
boolean
nullable
comment
string
nullable
sellingManagerSalesRecordNumber
string
nullable
sellerMarketplaceId
string
nullable
billbeeTags
string
nullable
shipmentAddress
object
id
string format: uuid
addressLine1
string
nullable
addressLine2
string
nullable
addressLine3
string
nullable
city
string
nullable
country
string
nullable
postalCode
string
nullable
state

State or region

string
nullable
phone
string
nullable
billingAddress
object
id
string format: uuid
addressLine1
string
nullable
addressLine2
string
nullable
addressLine3
string
nullable
city
string
nullable
country
string
nullable
postalCode
string
nullable
state

State or region

string
nullable
phone
string
nullable
orderItems

If you have products or variations already you have to use them instead of create the same, because of unique MarketId and SKU rule

Array<object>
nullable
object
productVariationId

Leave empty if attach new one on order creating

string format: uuid
quantity

Ordered amount

integer format: int32
price

Price per item in order

number format: double
productVariation
object
id
string format: uuid
sku
string
nullable
asin
string
nullable
name
string
nullable
cost
number format: double
costIncTax
number format: double
weight
number format: double
variationUrl
string
nullable
variationPictureUrl
string
nullable
marketId
string
nullable
parentProductId

Leave empty if create new one with this variation

string format: uuid
parentProduct
object
id
string format: uuid
marketItemId
string
nullable
title
string
nullable
quantity
integer format: int32
category
string
nullable
currentPrice
number format: double
currency
string
nullable
shipPrice
number format: double
shipCurrency
string
nullable
productUrl
string
nullable
description
string
nullable
taxPrice
number format: double
taxCurrency
string
nullable
spareString

Spare string field for different integrations Shopify - parent product id (products it’s a variant of parent product)

string
nullable
createdDate

Default = now

string format: date-time
nullable
discountValue
number format: double
barcodeNumber
string
nullable
integrationId
required
string format: uuid
shopType
required
integer format: int32
Allowed values: 0 - PlaceholderDoNotUse 1 - Ebay 2 - Etsy 3 - Mail 4 - BigCommerce 5 - WooCommerce 6 - Magento 7 - Shopify 8 - Linnworks 10 - Gmail 11 - Telegram 12 - Widget 13 - Cdiscount 14 - Facebook 15 - Fruugo 16 - AmazonSP 17 - Instagram 18 - Wish 19 - ChannelAdvisor 20 - CustomIntegration 21 - Outlook 22 - Veeqo 23 - Aircall 24 - Katana 25 - Billbee 26 - Kaufland 27 - WhatsApp 28 - ShopLine 29 - Brightpearl 30 - TikTok 31 - Otto 32 - RestApiEbay
pictureURL
string
nullable
notes
Array<object>
nullable
object
id
string format: uuid
note
required
string
>= 1 characters
username
string
nullable

Example

{
"shippingServiceType": "0 - None",
"linnworksOrderIdentifier": "0 - NotExists",
"orderItems": [
{
"productVariation": {
"parentProduct": {
"shopType": "0 - PlaceholderDoNotUse"
}
}
}
]
}

Unauthorized